\begin{tikzpicture}
  \tkzInit[xmin=-.6,xmax=4.6,ymin=-1.3,ymax=3.4]
  \tkzClip
  \tkzDefPoints{0/0/A,1/3/B,4/0/C}
  \tkzCircumCenter(A,B,C) \tkzGetPoint{O}
  \tkzDefMidPoint(A,B) \tkzGetPoint{AB}
  \tkzDefMidPoint(A,C) \tkzGetPoint{AC}
  \tkzDefMidPoint(B,C) \tkzGetPoint{BC}
  \tkzDrawSegments[style=dashed](AB,O AC,O BC,O)
  \tkzMarkRightAngles(A,AB,O B,BC,O C,AC,O)
  \tkzDrawPolygon(A,B,C)
  \tkzDrawCircle(O,A)
  \tkzDrawSegment(O,A)
  \tkzDrawPoints(A,B,C,O)
  \tkzLabelLine[above](O,A){$r$}
  \tkzLabelPoints[below left](A)
  \tkzLabelPoints[above left](B)
  \tkzLabelPoints[below right](C)
  \tkzLabelPoints(O)
\end{tikzpicture}